Page MenuHomePhabricator

Cannot see entire contents of Special:EditWatchlist
Closed, ResolvedPublic

Description

It seems the Watchlist got broken by the continuation query changes. cc @Anomie
Request is being made to https://en.m.wikipedia.org/w/api.php?action=query&prop=pageimages%7Cinfo&piprop=thumbnail&pithumbsize=80&format=json&generator=watchlistraw&gwrnamespace=0&gwrlimit=51&continue=-%7C%7C which returns {"batchcomplete":""}

Implementator: please add a browser test to cover this.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterHygiene: Remove unnecessary isLandscape calculation
mediawiki/extensions/MobileFrontend : masterFollow up: Scrolled to pages that exist shouldn't show as red links
mediawiki/extensions/MobileFrontend : masterDon't render "touched" watchlist pages as new
mediawiki/extensions/MobileFrontend : masterFix watchlist query continuation and rendering
mediawiki/extensions/MobileFrontend : masterShow watchlist pages loaded via ajax

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to 2015-16 Q1 on the Readers-Web-Backlog board.
Jdlrobson added subscribers: Jdlrobson, Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 10:19 PM
Anomie added a comment.Jun 5 2015, 5:10 PM

Where are you getting the "&continue=-%7C%7C" bit from?

It's a good question. I didn't look too deeply but this is the API request it is now making for some reason. Someone needs to investigate.

This seems like an embarrassing bug @Jhernandez that has been open far too long. Pull into sprint?

Jhernandez triaged this task as High priority.Aug 5 2015, 9:50 AM

Sure thing.

Jdlrobson updated the task description. (Show Details)
bmansurov moved this task from To Do to Doing on the Reading-Web-Sprint-53-12-Monkeys board.

Change 229951 had a related patch set uploaded (by Bmansurov):
Show watchlist pages loaded via ajax

https://gerrit.wikimedia.org/r/229951

The API is still returning the wrong continue parameter (captured in T108384). The side effect of it is that there will be an extra AJAX request at the end of the getting the watchlist pages. But other than that everything is looking good.

Change 230558 had a related patch set uploaded (by Phuedx):
[WIP] Fix watchlist query continuation and rendering

https://gerrit.wikimedia.org/r/230558

Change 229951 abandoned by Bmansurov:
Show watchlist pages loaded via ajax

Reason:
see @phuedx's patch

https://gerrit.wikimedia.org/r/229951

Some follow up patches should be reviewed before signing off on this:
https://gerrit.wikimedia.org/r/#/c/230680/
https://gerrit.wikimedia.org/r/#/c/230681/

Change 230558 merged by jenkins-bot:
Fix watchlist query continuation and rendering

https://gerrit.wikimedia.org/r/230558

Change 230680 had a related patch set uploaded (by Jhernandez):
Follow up: Scrolled to pages that exist shouldn't show as red links

https://gerrit.wikimedia.org/r/230680

Change 230681 had a related patch set uploaded (by Jhernandez):
Hygiene: Remove unnecessary isLandscape calculation

https://gerrit.wikimedia.org/r/230681

Jhernandez reassigned this task from phuedx to Jdlrobson.Aug 11 2015, 11:02 AM

Moving to Code review and reassigning to Jon who is the owner of the followup patches ⬆️

Change 230777 had a related patch set uploaded (by Phuedx):
Don't render "touched" watchlist pages as new

https://gerrit.wikimedia.org/r/230777

Change 230777 abandoned by Phuedx:
Don't render "touched" watchlist pages as new

Reason:
Jdlrobson's patch works for me now.

https://gerrit.wikimedia.org/r/230777

Change 230777 restored by Jdlrobson:
Don't render "touched" watchlist pages as new

Reason:
Test seems useful?

https://gerrit.wikimedia.org/r/230777

Change 230777 abandoned by Jdlrobson:
Don't render "touched" watchlist pages as new

Reason:
Folded test into https://gerrit.wikimedia.org/r/#/c/230680/2

https://gerrit.wikimedia.org/r/230777

Change 230680 merged by jenkins-bot:
Follow up: Scrolled to pages that exist shouldn't show as red links

https://gerrit.wikimedia.org/r/230680

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 12 2015, 4:48 PM

Change 230681 abandoned by Jdlrobson:
Hygiene: Remove unnecessary isLandscape calculation

Reason:
Resolve later. The code is messier than I realised. Let's rely on the FIXMEs to fix this later.

https://gerrit.wikimedia.org/r/230681

Jhernandez closed this task as Resolved.Aug 14 2015, 10:39 AM

Verified on beta cluster.